<?php
try{
  $db = new SQLiteDatabase("/var/wwwdata/testphp.db", 0666, $msg);
}
catch(SQLiteException $e){
  echo "Wystąpił błąd podczas otwierania połączenia z bazą...<br />";
  echo "Komunikat błędu \$e: ";
  echo $e->getMessage(), "<br />";
  echo "</body></html>";
  exit;
}

$query = "INSERT INTO osoba VALUES(";
$query .= "11, 'Maciej', 'Nowak', 1982, 'Lublin'";
$query .= ")";

if(!$result = $db->queryExec($query, $msg)){
  echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
  echo "Komunikat błędu: $msg<br />";
}
else{
  $ile = $db->changes();
  echo "Liczba dodanych rekordów: $ile <br />";
}

unset($db);
?>
